Subject: MIME Subject: in the world.

From: [email-masked] (Satoru Okamoto)
Date: 3 Nov 93 08:37:06 GMT

日本以外でMIMEを使った Subject: は使われているかという話があったと思います。

comp.dcom.cell-relay に
From: [email-masked] (Kim Hyun-soo)
Subject: (=?B?EUC-KR?tOTA5Q==?=) 2nd test message

というのが流れていました。
この Subject: には MIME が使われていますよね。
やはり英語と併記されていますね。

kr は韓国でしょうか？

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Sun, 7 Nov 1993 10:30:42 GMT

On 11/03/93(17:37) [email-masked] (Satoru Okamoto) wrote
in <[email-masked]> (fj.mail:2354/etlss2):
 |日本以外でMIMEを使った Subject: は使われているかという話があったと思います。
 |
 |comp.dcom.cell-relay に
 |From: [email-masked] (Kim Hyun-soo)
 |Subject: (=?B?EUC-KR?tOTA5Q==?=) 2nd test message
 |
 |というのが流れていました。
 |この Subject: には MIME が使われていますよね。
 |やはり英語と併記されていますね。
 |
 |kr は韓国でしょうか？

そうですけど、これは間違った encoded-word ですね(^_^;　　charset名と
encoding名が逆です。
週末でニュースサーバが暇なのに乗じて、海外からのニュースを調べてみた
ところ、以下のような RFC1522 の使用例がありました。やはり、ヨーロッパ
系の人のFromに主に使われているようです。

----
  From: [email-masked] (Mike Meyer)
  Newsgroups: comp.sys.amiga.misc,comp.sources.amiga,comp.binaries.amiga
  Subject: Replace the comp.(sources|binaries).amiga moderator - final result
  Date: 22 Sep 93 23:33:29 PST
  Message-ID: <[email-masked]>
  Organization: Missionaria Phonibalonica

> =?iso-8859-1?Q?Gunnar_R=F8nning?= <[email-masked]>

----
> From: [email-masked] (=?ISO-8859-1?Q?Marko_M=E4kel=E4?=)
  Newsgroups: comp.sys.cbm,comp.sys.ibm.pc.demos
  Subject: Re: C64S information
  Date: 12 Oct 93 22:19:24
  Message-ID: <[email-masked]>
  Organization: University of Helsinki, Finland.

----
> From: [email-masked] (=?ISO-8859-1?Q?Marko_M=E4kel=E4?=)
  Newsgroups: comp.sys.m6809
  Subject: Re: big-endian or little-endian
  Date: 20 Oct 93 01:18:24
  Message-ID: <[email-masked]>
  Organization: University of Helsinki, Finland.

----
  From: [email-masked] (The Moderators)
  Newsgroups: comp.sys.mac.digest
  Subject: Info-Mac Digest V11 #203
  Date: 13 Oct 93 11:56:58 GMT
  Message-ID: <[email-masked]>

> From: [email-masked] (=?iso-8859-1?Q?Beno=EEt?= Ildefonse)

----
> From: [email-masked] (Lasse =?ISO-8859-1?Q?Hiller=F8e?= Petersen)
  Newsgroups: comp.sys.mac.comm
  Subject: Re: Nuntius vs. Newswatcher
  Date: Wed, 29 Sep 1993 08:58:15 GMT
  Message-ID: <[email-masked]>
  Organization: Information & Media Science, Aarhus University, DENMARK

----
  From: [email-masked] (Greg Vaudreuil)
  Newsgroups: info.ietf.smtp
  Subject: Comments and extensions to STIF
  Date: 17 Sep 93 18:01:01 GMT
  Message-ID: <[email-masked]>
  Organization: University of Illinois at Urbana

> Best Friend: =?iso-8859-8?b?7eXs+SDv4SDp7Oj08A==?=

----
  From: [email-masked] (Olle Jarnefors)
  Newsgroups: info.ietf.smtp
  Subject: Re: A spec for showing language in MIME headers
  Date: 4 Nov 93 14:10:34 GMT
  Message-ID: <[email-masked]>
  Organization: University of Illinois at Urbana

> I think the second comment should be: (=?ISO-8859-1?Q?bokm=E5l?=)

　　　　　　　　　　　　　　　　 @ @
┰── ─┰─ ┰　　  ／／＼^^　( - )  {サービス、自分のために}
┠─++佐藤＠ＥＴＬ　／　876m＼ _<   >_　　　　　　　　　　　　..
┸── 　┸　 ┸────────────────────── (- @)∋ ──┘
★MIMEエンコーダ/デコーダ発売中★etlport.etl.go.jp:pub/mime/mimehead.tar.Z

---

From: [email-masked] (Shinji Kono)
Date: Sun, 7 Nov 1993 13:47:46 GMT

[email-masked]。
In article <[email-masked]> , 
	[email-masked] (Yutaka Sato ) writes 
>そうですけど、これは間違った encoded-word ですね(^_^;　　charset名と

あれまぁ。

>> From: [email-masked] (=?ISO-8859-1?Q?Marko_M=E4kel=E4?=)

koreanはともかく ISO-8859-1 は今後多くなるかも知れませんね。例えば、fjだ
け(mailはいれずに) ISO-2022にしてしまうという手もあるかも知れない。しょ
せん、fjといえ実験ネットなのだとすれば、互換性だけが優先と言うわけでもな
いでしょう。7bit codeのISO-2022はMIMEのconsitentなsubsetになるはずですよ
ね?  

fjの中で効率的な実装をするのは悪くないと思いますよ。日本語が来るに決まっ
ているわけですから。B-News, C-Newsの方は対処は難しくないわけですから、日
本のネットでISO-2022 といちいち書くMIMEで我慢するのも変でしょ? かたくな
に適応するより現実的に便利な対処をしたい。sendmailもescapeを通すのがそん
なに難しいとは思いませんけど、実際はどんな感じなのでしょ。

---
Shinji Kono @           [email-masked]
河野真治 Sony Computer Science Laboratory, Inc,Japan

---

From: [email-masked] (守岡 知彦 (MORIOKA Tomohiko))
Date: Mon, 8 Nov 1993 06:22:19 GMT

>>>>> <[email-masked]> にて、
	[email-masked] (Shinji Kono) 氏曰く、

河野> fjの中で効率的な実装をするのは悪くないと思いますよ。日本語が来るに決まっ
河野> ているわけですから。B-News, C-Newsの方は対処は難しくないわけですから、日
河野> 本のネットでISO-2022 といちいち書くMIMEで我慢するのも変でしょ? かたくな
河野> に適応するより現実的に便利な対処をしたい。sendmailもescapeを通すのがそん
河野> なに難しいとは思いませんけど、実際はどんな感じなのでしょ。

  =?EUC-JP?Q?....?= とかじゃだめでしょうか？いっそのこと、charset を 
JP とかにしちゃうとか。短けりゃ良いのなら。

  RFC 822 にちゃんと従うのなら、quoted-pair を使うことによって、どこに
でもどんな文字でも入れれるはずですが、folding だけで死んでしまった『実
績』を考えると、「本当に良いの」って思ってしまいます。

┏『健康と美容のために食後に一杯の紅茶』━━━━━━━━━━━━━━┓
┃                    守岡 知彦 (MORIOKA Tomohiko)                  ┃
┃　                                    Email: <[email-masked]>┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛

---

From: [email-masked] (Masataka Ohta)
Date: 13 Nov 93 10:42:41 GMT

In article <[email-masked]>
	[email-masked] (=?ISO-2022-JP?B?GyRCPGkyLBsoQiAbJEJDTkknGyhC?= (MORIOKA Tomohiko)) writes:

>でもどんな文字でも入れれるはずですが、

　前から知ってたような口調は、照れ隠しか？それとも都合悪いから誰かが指摘
するまで隠してたのか？

　まあ、いずれにせよ、ろくなやつじゃないな。

>folding だけで死んでしまった『実

　ｆｏｌｄｉｎｇがＭＩＭＥでも死んでるのはさすがに気が付いてるけど、都合
悪いから隠してるわけか。

					太田　昌孝
					[email-masked]

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Sat, 13 Nov 1993 18:16:01 GMT

On 11/13/93(19:42) [email-masked] (Masataka Ohta) wrote
in <[email-masked]> (fj.mail:2401/etlss2):
 |In article <[email-masked]>
 |	[email-masked] (守岡 知彦 (MORIOKA Tomohiko)) writes:
 |
 |>  RFC 822 にちゃんと従うのなら、quoted-pair を使うことによって、どこに
 |>でもどんな文字でも入れれるはずですが、
 |
 |　前から知ってたような口調は、照れ隠しか？それとも都合悪いから誰かが指摘
 |するまで隠してたのか？

ついに太田さんから具体的な答がいただけました。つまり太田さんは

「ヘッダ中の7bitsのISO-2022は、quoted-stringとquoted-pairを
　使って問題なく表現できる。既存のMTAの入れ換えは不要である」

とおっしゃったわけですね？（まず確認させていただきます）

　　　　　　　　　　　　　　　　 @ @
┰── ─┰─ ┰　　  ／／＼^^　( - )  {サービス、自分のために}
┠─++佐藤＠ＥＴＬ　／　876m＼ _<   >_　　　　　　　　　　　　..
┸── 　┸　 ┸────────────────────── (- @)>> ──┘
★MIMEエンコーダ/デコーダ発売中★etlport.etl.go.jp:pub/mime/mimehead.tar.Z

---

From: [email-masked] (Masataka Ohta)
Date: 17 Nov 93 12:50:18 GMT

In article <[email-masked]>

>とおっしゃったわけですね？（まず確認させていただきます）

　いえ、私が言いたいのは、あまりのでたらめさに見兼ねてつい口をだしたけど、
これ以上こういう連中とはつきあいたくないということですよ。ついては、ここ
までひどいでたらめをやった連中には、今後当分投稿を自粛しろといっとるわけ
です。つまり「恥を知れ」ということですよ。こんどはわかりました？それとも
恥なんて知らない？

					太田　昌孝
					[email-masked]

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Wed, 17 Nov 1993 14:15:42 GMT

On 11/17/93(21:50) [email-masked] (Masataka Ohta) wrote
in <[email-masked]> (fj.mail:2426/etlss2):
 |>ついに太田さんから具体的な答がいただけました。つまり太田さんは
 |>
 |>「ヘッダ中の7bitsのISO-2022は、quoted-stringとquoted-pairを
 |>　使って問題なく表現できる。既存のMTAの入れ換えは不要である」
 |>
 |>とおっしゃったわけですね？（まず確認させていただきます）
 |
 |　いえ、私が言いたいのは、あまりのでたらめさに見兼ねてつい口をだしたけど、
 |これ以上こういう連中とはつきあいたくないということですよ。ついては、ここ
 |までひどいでたらめをやった連中には、今後当分投稿を自粛しろといっとるわけ
 |です。つまり「恥を知れ」ということですよ。こんどはわかりました？それとも
 |恥なんて知らない？

また難しい話になってしまいましたね…
ここでは（一応）技術的な話をしているので、「でたらめ」な議論をやめ
させたければ、具体的な技術的方法と実例を示すだけで良いと思います。
例えば、

   To: "太田昌孝" <[email-masked]>

というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され
ることなく転送できるでしょう？

　　　　　　　　　　　　　　　　 @ @
┰── ─┰─ ┰　　  ／／＼^^　( - )  {サービス、自分のために}
┠─++佐藤＠ＥＴＬ　／　876m＼ _<   >_　　　　　　　　　　　　..
┸── 　┸　 ┸────────────────────── (- @)Э ──┘
★MIMEエンコーダ/デコーダ発売中★etlport.etl.go.jp:pub/mime/mimehead.tar.Z

---

From: [email-masked] (Shinji Kono)
Date: Wed, 17 Nov 1993 17:57:59 GMT

[email-masked]。
In article <[email-masked]> , 
	[email-masked] (Yutaka Sato =?ISO-2022-JP?B?GyRAOjRGI0stGyhK?=) writes 
>というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され

¥とか使うんでしょう。でも、MTAの改造がないと通らないという意味ならMIME
もISO-2022JPもそんなに差がないと思います。

いずれにせよ、To:/From:にMIME なりISO-2022JPを入れるのには僕は反対です。
いったいなんのためにSignature とかあるんでしょう? 投票とかアンケートの時
にはっきりいって困るんですけど。To:/From:にはIDとしてのMail Addressが入
って欲しい。そこにどうしても日本語を入れたいという需要があるんでしょう
か? 「MIMEなら入るから入れる」という節操のない理由なら再考して欲しいと思
います。T

Subject:はもっと簡単だし、特にNews Systemの方は楽なわけですから、そっち
を選ばない理由はほとんどないと思います。GNUS Userだったら「まったく」変
更はいらないわけですし。平野さんには御苦労だったと思いますが、意味のない
苦労を重ねても仕方がないと思います。どうせ苦労するならちゃんとしたいと思
いませんか?

grep '^Subject: MIMEについて' /usr/spool/news/fj/mail/* とかできるのはや
っぱり便利じゃないのかなぁ。

別にMIMEを使うなといっているわけじゃなくて「どこでも使えるところは使う」
ではなくて「効果的なところで使う」ようにしようということなのです。bodyで
Multi-Meidaを扱いたいなら必須だと思います。しかし、Subject/ To/Fromで使
うのは猫に小判だと思うのですけど。

---

---

From: [email-masked] (Wataru KAWAKAMI)
Date: Thu, 18 Nov 1993 02:18:19 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: quoted-{string,pair} (Re: MIME header in the world)

  NTTの川上です。mailの場合ですが、

 "fj.mail"の"Re: quoted-{string,pair} (Re: MIME header in the world)"について
    (記事<[email-masked]>)、[email-masked]、
 >> というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され
sendmail 8.6.4あたりなら、
  To: "\^[\$\B\B\@\E\D\>\;\9\'\^[\(\B" <[email-masked]>
もしくは、
  To: [email-masked] (\^[\$\B\B\@\E\D\>\;\9\'\^[\(\B)
で*等価的*にjis7が通ります。('^[' = '\033')この場合、'\'を
stripするだけで、jis7が得られます。

  sendmail8.6.4は、ちゃんとquoted-{pair,string}を実装してる
ようです。quoted-{pair,string}の解釈をさぼっている"rfc822
違反"(?)のsendmailもまだあるみたいですが。。。。

  一度、この辺をちゃんと調べてから、議論を続けた方がいいで
しょう。

# ちなみに、news-systemはどうなんでしょうね。。。。

データベースとしての筋をよくするのであれば、
  X-Nto: "太田昌孝" <[email-masked]>
と入れておく方が親切だとは思いますが。。。。
# ま、.forwardにfilterを入れるというてもありますが。。。

ちなみに、私は、To:, From:はアドレスが書いてあれば、
それ以上の情報は、私にとって、必要ないという立場です。
(ゆえに、mnewsの題目一覧で、addressがでてくる実装が
すきです。)

				[email-masked]

# はやく、jis7をナマで、"Subject:"に通せるようにしたいですね。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Shinji Kono)
Date: Thu, 18 Nov 1993 14:31:05 GMT

[email-masked]。

News SystemのSubjectに関しては、
   C-Newsのサイトではデフォルトで通過する
   B-News用にはパッチが存在する
わけですよね。となると、問題はfj内で
   公式にSubjectにISO-2022JPの日本語を許すかどうか
ということだと思うのですが。やっぱり、これが一番素直な解決だと思います。

もちろん現状で通らないところがあるのは分かっていっているのですけど、
現実問題として通さないサイトの方が既に少数なのではないでしょうか?
例えば1年ぐらい経過処置として、
   Subject lineは、Subject: English/Romaji (日本語) という形式
として通らないところでも不便でないようにするというのはどうですか?

この機会にB-NewsからC-Newsに移るのも悪くないし... 頻繁にVersion upを
強要されるIRCなんかよりはましだ...

(GCOS or Addressのコメントとして日本語を入れるのは反対ですけどね)
---
Shinji Kono                              [email-masked]
河野真治 Sony Computer Science Laboratory, Inc,Japan

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Thu, 18 Nov 1993 15:40:24 GMT

On 11/18/93(11:18) [email-masked] (Wataru KAWAKAMI) wrote
in <[email-masked]> (fj.mail:2431/etlss2):
 | >>    To: "太田昌孝" <[email-masked]>
 | >> 
 | >> というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され
 | >> ることなく転送できるでしょう？
 |sendmail 8.6.4あたりなら、
 |  To: "\^[\$\B\B\@\E\D\>\;\9\'\^[\(\B" <[email-masked]>
 |もしくは、
 |  To: [email-masked] (\^[\$\B\B\@\E\D\>\;\9\'\^[\(\B)
 |で*等価的*にjis7が通ります。('^[' = '\033')この場合、'\'を
 |stripするだけで、jis7が得られます。
…
 | >>    To: "太田昌孝" <[email-masked]>

なぜこのままで通らないのでしょう？

 |  sendmail8.6.4は、ちゃんとquoted-{pair,string}を実装してる
 |ようです。quoted-{pair,string}の解釈をさぼっている"rfc822
 |違反"(?)のsendmailもまだあるみたいですが。。。。

売り物のOSに附属のSMTPサーバで quoted-{pair,string} をちゃんと
サポートしているものは何があるでしょう？

 |  一度、この辺をちゃんと調べてから、議論を続けた方がいいで
 |しょう。

ぼくは、調べてから投稿しています。

　　　　　　　　　　　　　　　　 @ @

---

From: [email-masked] (Wataru KawaKami)
Date: Thu, 18 Nov 1993 11:02:34 GMT

### Japanese subject will be read as below: ###
X-Nsubject: sendmailのテスト、"Subject:"にjis7 (Re: quoted-{string,pair}.....)

NTTの川上です。

  "fj.mail"の"Re: quoted-{string,pair} (Re: MIME header in the world)"について
    (記事<[email-masked]>)、[email-masked]、
  >> # はやく、jis7をナマで、"Subject:"に通せるようにしたいですね。
ということで、私の回りにある、いくつかのマシンに載っている、
sendmailを使って、"Subject:"にjis7が通るかどうかということを
テストしてみました。
  文字列は、"テスト, test of /usr/lib/sendmail."です。
以下結果です。

	 OS			jis7 in Subj.
	------------------------------------------
	Sun 412+JLE112		   okay
	NEWS-OS Rel. 4.2.1C	   okay
	Sun 411+JLE111RB	   okay
	Sun 413			   okay
	Ultrix V4.2A		   okay
	------------------------------------------
	sendmail8.6.4		   okay
	sendmail5.6.5b		   okay
	------------------------------------------

  おおかた、予想はしていたのですが、実験したすべてのマシンの
sendmailは、"Subject:"フィールドのjis7は規格通り、通しました。

					wataru

# news-systemはどうなんでしょうね。INN/Cnewsでは、JP-patchを
# あてれば通ると聞いていますが。。。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Masatoshi Watanabe)
Date: 19 Nov 1993 02:01:50 GMT

<[email-masked]>の記事において
[email-masked]。

| # news-systemはどうなんでしょうね。INN/Cnewsでは、JP-patchを
| # あてれば通ると聞いていますが。。。

INN はパッチを当てなくても通ります。

======================================================================
 Masatoshi        Chemical Metallurgy Lab., Department of Metallurgy,
      Watanabe    Faculty of Engineering, Tohoku Univ., Sendai, Japan
======================================================================

---

From: [email-masked] (Takashi Hibi)
Date: 19 Nov 93 03:53:48 GMT

日比＠沖電気です。

   >>もISO-2022JPもそんなに差がないと思います。

MTAを改造しなくても通るようにするというのがMIMEの趣旨だと思っていたの
ですが、違うんでしょうか。

   >>って欲しい。そこにどうしても日本語を入れたいという需要があるんでしょう

To/Fromにはメールアドレスは入ってますけど。どうして困るんですか？
もしかして、河野さんの書いたプログラムの都合ですか？

   >>Multi-Meidaを扱いたいなら必須だと思います。しかし、Subject/ To/Fromで使

それは人によって考えが違うでしょうから、納得しない人もいるでしょうね。
河野さんはTo/FromにMIME/ISO-2022JPを入れるのは反対というのは理解できま
したが、Subjectに使うのには賛成なんですか、反対なんですか（単なる質問）。

私は、To/FromはともかくSubjectには日本語が使えるようにすべきだと思って
います。

			日比 孝 (Takashi Hibi)
			沖電気工業(株) マルチメディア研究所
			E-mail: [email-masked]

---

From: [email-masked] (Wataru KawaKami)
Date: Fri, 19 Nov 1993 01:33:16 GMT

### Japanese subject will be read as below: ###
X-Nsubject: 理解できない芸風 (was Re: quoted-{string,pair}....)

NTTの川上です。

  最初にstanding pointをはっきりしておきます。

  私も、konoさん同様、"From:","To:"fieldのGECOS or addressの
コメントに日本語は不要という立場です。

  "fj.mail"の"Japanese Subject in fj news"について
    (記事<[email-masked]>)、
    [email-masked]、
  >> (GCOS or Addressのコメントとして日本語を入れるのは反対ですけどね)

ですから、先のフォローのようにquoted-pairを使って、commentとして、
jis7を"From:","To:"に入れる芸風もありませんし、そんな気も、さらさら
ありません。

      ＊      ＊      ＊      ＊      ＊      ＊      ＊

先のフォローでは、あくまでも、ysatoさんの御質問、
  >>  | >> というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され
に対して、
	現在のrfc822を用いて、jis7の*等価的*な転送が可能であり、
	それをちゃんと実装したsendmailが存在する
という事実をいいたかったに過ぎません。

  "fj.mail"の"Re: quoted-{string,pair} (Re: MIME header in the world)"について
    (記事<[email-masked]>)、[email-masked]、
  >>  | >>    To: "太田昌孝" <[email-masked]>
なにがいいたいのでしょうか。質問の意図がわかりません。単につっか
かってきているとしか思えません。

  それとも、jis7のコードのなかにspecialsにあたるものがあるからと
いう答を出すための誘導尋問？

  もしそうなら、こういうのって、非常に不快です！:-<

  mohtaさんじゃないけど、議論する気がないんじゃないかと勘ぐりたくも
なります。:-<

  MIME+base64だって、jis7をナマのまま通すわけじゃなくて、base64で
encodeしていれるんでしょ？
(あくまでも、user-endでみたときに、*等価的*にjis7が通っているわけ
ですよね。)

  >> ぼくは、調べてから投稿しています。
じゃ、その結果をちゃんと投稿して議論して下さい。

  mohtaさんじゃないけど、議論をするからには、ちゃんと、出すものを
出して、議論しないと、相手にしてもらえなくなりますよ。:-<

  繰り返しますが、私の立場は、
	私にとって、"From:"/"To:"には、addressがあれば十分です。
	MIME+base64なんて、みたくもありません。また、みなくする
	のに努力をしなければならないというのは、論外です。
	これは、受益者負担の原則に反します。
というところです。
					wataru

# MIME+base64をはやらせるためにもし、"Subject:" in jis7が
# 阻まれているようなことがあれば、論外です。:-<
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (守岡 知彦 (MORIOKA Tomohiko))
Date: Fri, 19 Nov 1993 09:19:43 GMT

この記事では、個人的な理由を書きますが、お許し下さい。

>>>>> <[email-masked]> にて、
	[email-masked] (Wataru KawaKami) 氏曰く、

川上>   私も、konoさん同様、"From:","To:"fieldのGECOS or addressの
川上> コメントに日本語は不要という立場です。

川上>   "fj.mail"の"Japanese Subject in fj news"について
川上>     (記事<[email-masked]>)、
川上>     [email-masked]、
  >> (GCOS or Addressのコメントとして日本語を入れるのは反対ですけどね)

川上> ですから、先のフォローのようにquoted-pairを使って、commentとして、
川上> jis7を"From:","To:"に入れる芸風もありませんし、そんな気も、さらさら
川上> ありません。

  ぼくは、守岡といいますが、morioka は、ほぼ、確実に、『守岡』になりま
せん（森岡とか盛岡とか）。クリーニング屋さんや写真屋さんではめんどくさ
くて、『森岡』や『盛岡』で済ますことありますが、あんまり良い気持ちはし
ません。morioka は私の名字に対応はしますが morioka = 私ではない訳です。
どうでも良いことかも知れないけど。

  まあ、body-part の先頭で、いちいち、名乗れば良いのかも知れないし、
signature に書いておけば良いのかも知れないけど、それなら From: は私に
とって無くても良いものです。もちろん、技術的に必要なものなのでしょうが、
はっきり言って、ぼくにとって、meaningless とは言わないまでも、価値の低
いものです。

  どうせ、meaningless なものなら、そこに暗号を入れたって良い訳だし、意
味が重要なものなら、私は私の名前である『守岡 知彦』をこそ、そこに入れ
たいのです。勝手な理屈と思われるでしょうが。

  （でも、川上さんでなくて、河上さんなら、少しは、ぼくの気持ちも判って
もらえたかも知れない。）

  要するに、私にとっては、日本語を使いたいということがまずある訳です。
MIME による方法より良くて、合意が得られる方法なら私はそれで構いません。
（例えば、Subject: なら ISO-2022-JP を入れることは合意が得られそうです
ね。）

川上>   MIME+base64だって、jis7をナマのまま通すわけじゃなくて、base64で
川上> encodeしていれるんでしょ？
川上> (あくまでも、user-endでみたときに、*等価的*にjis7が通っているわけ
川上> ですよね。)

  私は、quoted-pair による方法より、MIME の方法の方が、ISO-2022 を仮定
しなくても良いという点で優れていると思います。（この点に関しては、異論
が多いとは思いますが。）encoded-word に入れるものは、原則として、文字
エンコーディングされた文字列ではなくて、単一文字集合の文字列であると考
えれば、encoded-word に基づくものは、ISO-2022 に対応するものと考えられ
ますが、ISO-2022 に比べて、

 (1) 仮定する文字コード系は US-ASCII だけで良い。

 (2) どういう文字コードを使っているかが明示的である（宣言性）。また、
     ISO-2022 を仮定しなくても良い。

という点で優れていると思います。もちろん、fj だけ、日本の Internet だ
けなら ISO-2022-JP を直接埋め込むやり方の方が単純で良いとは思いますし、
本当に、ISO-2022-JP を国際化したような方式が世界的に広く使われるなら、
その方が良いでしょう。しかし、ISO-8859-1 を直接、生で、8bit で入れる記
事の増加を考えると問題があるように思われます。

川上>   繰り返しますが、私の立場は、
川上> 	私にとって、"From:"/"To:"には、addressがあれば十分です。
川上> 	MIME+base64なんて、みたくもありません。また、みなくする
川上> 	のに努力をしなければならないというのは、論外です。
川上> 	これは、受益者負担の原則に反します。
川上> というところです。

  私の個人的な意見としては、

From: =?ISO-2022-JP?B?GyRCPGkyLBsoQiAbJEJDTkknGyhC?= (Morioka Tomohiko)
 <[email-masked]>

が

From: Morioka Tomohiko <[email-masked]>

より情報量が少ないとは思われません。上記の表記で十分従来の方法での検索
もできるでしょう。また、encoded-word を見たからって、死ぬ訳じゃないで
しょ？(^_^)

  また、Base64 より良い encoding 方式というのも検討されても良いかも知
れません。例えば、encode した結果がローマ字になるようなものとか。

  ただ、私は MIME の方法は受益者負担の原則に合致したものだと思います。
即ち、日本語なんて必要無いという人は従来レベルの情報量を得られ、日本語
を読み書きしたいという人はそのささやかな努力によってそれが達成できる訳
です。

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Fri, 19 Nov 1993 12:25:16 GMT

On 11/19/93(10:33) [email-masked] (Wataru KawaKami) wrote
in <[email-masked]> (fj.mail:2438/etlss2):
 |    (記事<[email-masked]>)、[email-masked]、
 |  >>  | >>    To: "太田昌孝" <[email-masked]>
 |  >> 
 |  >> なぜこのままで通らないのでしょう？
 |なにがいいたいのでしょうか。質問の意図がわかりません。単につっか
 |かってきているとしか思えません。
 |
 |  それとも、jis7のコードのなかにspecialsにあたるものがあるからと
 |いう答を出すための誘導尋問？
 |
 |  もしそうなら、こういうのって、非常に不快です！:-<
 |
 |  mohtaさんじゃないけど、議論する気がないんじゃないかと勘ぐりたくも
 |なります。:-<

純粋に質問だったんですが…
この例がそのまま通らないのは、どのような制約によるのでしょうか？

　　　　　　　　　　　　　　　　 @ @

---

From: [email-masked] (HIRANO Satoshi)
Date: Fri, 19 Nov 1993 12:42:27 GMT

>もISO-2022JPもそんなに差がないと思います。

MTA = Message TRANSFER Agent です。MIME の場合は改造はいりません。
User Agent の方に必要ですけど…。

   >grep '^Subject: MIMEについて' /usr/spool/news/fj/mail/* とかできるのはや

あれ、日本国内だけじゃなくて広く世界に出てゆくことが重要というのでは
なかったのですか。
世界中の MTA を変えるより、世界中の「何とか語＝非英語」を読みたい人の
UA を変える方がずっと現実的ですよね。

fj や unix だけの話でもありません。nifty、ttn、Mac のネットワーク、、、。

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
平野   聡           電子技術総合研究所

[email-masked]    The future is Fluid.

---

From: [email-masked] (Shinji Kono)
Date: Fri, 19 Nov 1993 11:55:31 GMT

[email-masked]。X-Nsubjectの方だけで僕は十分ですが...

In article <[email-masked]> , 
	[email-masked] ((MORIOKA Tomohiko)) writes 
>（例えば、Subject: なら ISO-2022-JP を入れることは合意が得られそうです

僕はSubjectはISO2022JPで日本語化するので十分だという主張です。Newsの方は
Fromをparseしているわけではないようで、そこではISO2022JP がそのまま通っ
てしまうのもある見たいですね。

>せん（森岡とか盛岡とか）。

moriokaはmoriokaであって他にはなり得ませんからね。GCOSはしょせんおまけに
過ぎないでしょう。User Accountに漢字を使うなら別ですけど。逆に僕は漢字で
名前を書くと「かわの」と発音する人が多くて困ります。

Sinatureで駄目な理由が良く分からないな。盛岡さんは、Header Field(特に
From:) が機械のためのものであることを忘れているんじゃないかな? 特に、fj
あるいはInternetでのUnique IDとしての役目があることは確かです。
     [email-masked] (Shinji Kono)
とあったときに、
     [email-masked]
も受け付けるというsendmailもあるようですし。

だから、投票に使ったりするわけ。そこに、乱数や妙に長いEncoded Wordを入れ
るのはかんべんして欲しい。「うちは同姓同名がいるのでGCOSにはX-Facesを入
れています」なんていうのには僕は同情できない。

>しなくても良いという点で優れていると思います。

しかし、MIMEが表現できるすべてのものをfj or Internetがdefaultで受け入れる
というのはずいぶん違う話です。fjはそれ自身、ISO2022JP(のsubset)に制限
しているわけですから、MIMEなんか使わなくてもいい部分はあります。たまたま
Subjectはそういう部分で、GCOSはそういう部分でないというだけでしょう。

>しかし、ISO-8859-1 を直接、生で、8bit で入れる記
>事の増加を考えると問題があるように思われます。

fjでISO-8859-1を受け入れるんですか?

---

---

From: [email-masked] (Takanori `Racsho' Nishijima / 西島孝徳)
Date: 19 Nov 1993 15:24:37 GMT

にしじま＠キヤノンです。

  > grep '^Subject: MIMEについて' /usr/spool/news/fj/mail/* とかできるのはや

ほんとにそのようなことは可能なのでしょうか?

ニューススプール上の記事が ISO-2022-JP で格納されている以上、
EUC や MS漢字で grep してもひっかかるはずがなく、また検索
対象の記事が
 ・"ESC $ @" を使っているのか "ESC $ B" を使っているのか
 ・"ESC ( J" を使っているのか "ESC ( B" を使っているのか
がわかりませんから、単純に検索パターンをJISコードに変換して
もやはりひっかからないケースが発生すると思います。

単純に grep できる便利さを享受できるのは、「かなり好運」な
サイトにかぎられるのではないでしょうか。わたしのところでは
できません。

# たとえば、「検索するパターンをJISコードに変換し、さらに
# 呼出しシーケンスは strip してから grep に喰わせる」なんて
# ことまでするのなら、もののついででさらに検索パターンを
# MIME エンコードする手間なんて測定誤差以下のような気がします。
# どうせスクリプトでも書かなきゃやってられない。

--
“%stty -omime(意味不明)”
西島 孝徳 (NISHIJIMA, Takanori)   キヤノン株式会社 周辺機器開発センター
E-mail: [email-masked]

---

From: [email-masked] (Shinji Kono)
Date: Sat, 20 Nov 1993 06:06:50 GMT

[email-masked]。fjでのISO-2022-JP Subjectにだけ話を限ります. (ので
followup-to fj.news.bです)

MIMEはbodyに使ってこそ意味があります. 数々のtoolはそこで役に立ちます.
Headerは規約にそったdataだからこそ便利なことを忘れてはいけない. 何が便利
かを考えればfjでMIME headerはover killでISO-2022-JP程度が適当だと思いま
せんか? fjで半角かなを使わない理由を考えてみてください. 合理的な選択をし
たいと思います.

MIMEのために不便を強いられるのでは人間は既存の古いbuggyなMTAに奉仕するよ
うなもの.  星の数ほどあるMTUを直すのと数種類しかないMTAを直すのを選択す
るのだとも考えてもいいよね. MTUがGNUSとMHだとか思っているなら別だけど.
fj news のMTAのtroubleは, B-Newsだけであり, 適切なパッチは用意されていま
す.  これと?rn, nn, rnews. vn, mnews, vin (と他のUnix tool) にMIMEを入れ
る選択だったらB-Newsを直すべきです. たぶん 直す所はfjのサイトの一部だけ
でしょう,

In article <[email-masked]> , 
	[email-masked] (Takanori `Racsho' Nishijima ) writes 
>ほんとにそのようなことは可能なのでしょうか?

もちろん可能です. MIMEでもできるんでしょうけど, JIS/EUC/SJISのtoolが
使えるかどうかは大きな違いですよね. MIME grep, MIME vi, MIME less, MIME
wc, MIME perl, MIME sed などが標準になれば僕も心変わりします. (でも,
せいぜい出来るのはMIME-ISO-2022-JP-lessぐらいなのでしょうけど)

>サイトにかぎられるのではないでしょうか。わたしのところでは

それは残念ですね. 僕の所はとっても便利, 他の所にも同じように便利になって
ほしい. MIMEにして僕の所に不便を押しつけるのはやめてほしい. GNUSを使って
いるような人は我慢できるのかも知れませんが...

> MTA = Message TRANSFER Agent です。MIME の場合は改造はいりません。

でも現実にsendmailのXXは直してくれとかいっているじゃない. 新しいものを
通すんだから, そういうことがあるのは当然でしょう.

> あれ、日本国内だけじゃなくて広く世界に出てゆくことが重要というのでは

結局, 日本語が読める所が読むのだからとかいってたのは平野さんだし, body
escape が落ちなければSubjectのescapeも落ちないというのがnews systemの
現状でしょう. もちろん, 駄目な所もあるけど, それを直しておけばいいだけ
ですよね. 僕は古いB-Newsのために不便したくありません.

> fj や unix だけの話でもありません。nifty、ttn、Mac のネットワーク、、、。

彼らはSubjectをMIMEでやっているんですか? fjがそれらに従うことはないと
思いますが, なるべくなら従った方がいいかもね.

(え-い, このIBM MKKはいったい...)
---

---

From: [email-masked] (Wataru KawaKami)
Date: Sat, 20 Nov 1993 07:42:26 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: 何故 From: にも日本語を使いたいのか？ (Re: 理解できない芸風 )

  NTTの川上です。"From:"に対する認識の違い、net上におけるidentityの
違いということになるのかも知れません。

 "fj.mail"の"=?ISO-2022-JP?B?GyRCMj84ThsoQg==?= From:"について
    (記事<[email-masked]>)、
    [email-masked]、
  >> ません。morioka は私の名字に対応はしますが morioka = 私ではない訳です。
私の見方からすれば、net上では、守岡さんは、[email-masked]
さんです。当然、私も、net上では、[email-masked]。

  >>   （でも、川上さんでなくて、河上さんなら、少しは、ぼくの気持ちも判って
"From:"がmoriokaさんのおっしゃられる、名前をいれるためのものである
という立場に立てばわかります。(私も、名前を聞かれるときは、"さん
ずい"の方か、"三本がわ"の方かと聞かれますから。。。)

  "From:"は、個人の名前をいれるためのフィールドではなくて、機械が
配送のための情報を得るためのフィールドなんですから。。。
# "Real-Name:"とかいうフィールドがあればいいのかも。

 >> もできるでしょう。また、encoded-word を見たからって、死ぬ訳じゃないで
readerの問題かも知れませんが、例えば私が使っているelmでは、

       Mailbox is '~/spool/wataru' with 2 messages [ELM 2.4(+w3.10) PL20]

     1   Nov 19 Wataru KawaKami    (48)   test
     2   Nov 19 [email-masked]    (5)    test2

とかいうように表示されます。(addressの他にcommentがある場合、
幸か不孝か、commentが表示される仕様になっている) そのため、
commentにMIME+base64が入っていると、表示文字数を簡単に越える
ため、誰から来たかわからなくなります。(情報が得られないと意味
では、'死に'ます。)
  そのため、最近は、これを取り除くfilterをつくるか、addressを
表示するように変更しようかと思っている位です。(MIME+base64が
"From:"に入っていなかったときは、こういったことはほとんどなか
った。)
						wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Wataru KawaKami)
Date: Sat, 20 Nov 1993 07:07:39 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: 理解できない芸風 (Re: quoted-{string,pair}....)

NTTの川上です。

 "fj.mail"の
 "Re: What do you like to say??? (Re: quoted-{string,pair}....)"について
    (記事<[email-masked]>)、[email-masked]、
  >>  |  >>  | >>    To: "太田昌孝" <[email-masked]>
なんと。以前、specialsがどうたらこうたらとか言っていたので、
ご存じだと思っていました。

  ちなみに、私がいっていたのは、このまま通す実験をやって通ら
なかったという意味ではありません。(もしかしたら通るかも知れ
ません。もしテストをされていたら、今度は、出しおしみせずに
是非投稿してください。)

  >> この例がそのまま通らないのは、どのような制約によるのでしょうか？
ご存じだとは思いますが、From:は、Subject:と違ってstructured-
fieldであり、rfc822に規定された方法に従って処理されるためです。
# これについてはご存じですよね？

  例えば、"太田昌孝"という文字列の場合、codeは、
	太田昌孝 -> ^[$BB@ED>;9'^[(J	;; ^[ = ESC
となります。'>'や'('を含むため、これは、sendmailの処理の対象と
なりえる可能性が考えられます。(ちゃんと規格どおり実装されていれ
ば、このケースの場合は、'"'を含まないので、'"'でくくってやれば、
quoted-stringとしてちゃんと処理されるはずですが。。)
  また、jis7のコード中に'"'にあたるコードがあることも考えられ
ますので、'\'で単純にquoteするほうが簡単かつ確実であると考えて
書きました。
						wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Sat, 20 Nov 1993 18:18:32 GMT

On 11/20/93(16:07) [email-masked] (Wataru KawaKami) wrote
in <[email-masked]> (fj.mail:2448/etlss2):
 |  >>  |  >>  | >>    To: "太田昌孝" <[email-masked]>
 |  >>  |  >> なぜこのままで通らないのでしょう？

この質問をしたのは、

 |ば、このケースの場合は、'"'を含まないので、'"'でくくってやれば、
 |quoted-stringとしてちゃんと処理されるはずですが。。)

に関して何か誤解されているのではないかと心配したからですが、
老婆心だったようですね。ただ、RFC822のクオーティングをご存知
のはずで、

On 11/18/93(02:57) [email-masked] (Shinji Kono) wrote
in <[email-masked]> (fj.mail:2429/etlss2):
 |>   To: "太田昌孝" <[email-masked]>
 |>というようなヘッダを、具体的にどのような手順で、既存のMTAに壊され
 |>ることなく転送できるでしょう？
 |
 |\とか使うんでしょう。でも、MTAの改造がないと通らないという意味ならMIME

のようなお答えをされると、何か誤解があるのではと心配するのは、
それほど無理はないと思います。

　　　　　　　　　　　　　　　　 @ @

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Sat, 20 Nov 1993 21:45:46 GMT

On 11/20/93(16:07) [email-masked] (Wataru KawaKami) wrote
in <[email-masked]> (fj.mail:2448/etlss2):
 |  ちなみに、私がいっていたのは、このまま通す実験をやって通ら
 |なかったという意味ではありません。(もしかしたら通るかも知れ
 |ません。もしテストをされていたら、今度は、出しおしみせずに
 |是非投稿してください。)

出し惜しみしているつもりはありません。SunOSについては以下のような
例を挙げました。(その直後に始まった envelope/content の話題でかき
消されて、読まれてないのかもしれませんが)

On 10/30/93(02:31) I wrote in <[email-masked]>
 |をエスケープ抜きで考えても、つまり、
 |
 |　　1) To: kono ($@2OLn??<#(J)
 |　　2) To: $@2OLn??<#(J <kono>
 |　　3) To: "$@2OLn??<#(J" <kono>
 |
 |も、いずれも問題です。最初の２つは構文エラーです。これらに対して例え
...
 |きたら悲劇です。3)は、To: "$@2OLn??<kono(" <kono> のように壊れて届き
 |ました。これは、実装の問題なのでしょう。

Solaris, NEWS-OS, Ultrix, Aixなどでも同様にだめ(ヘッダ破壊->error
mail発生)でしたし、実際、これがちゃんと通るSMTPの実装は私の回りに
はないみたいです。

＃なお、Aixは quoted-string 中の ESC を通すようですが、勝手に英文字
＃のcaseを変えたり、Subjectが透過的でなかったりします。

でも、

ということなので、僕の回りのsendmailが古い／特殊なのかもしれません。
いずれにしても、ＭＴＡ（場合によりＯＳも）入れ換えないことには、この
問題は解決しないようです。

　　　　　　　　　　　　　　　　 @ @

---

From: [email-masked] (Kazumasa Utashiro)
Date: 21 Nov 1993 18:22:47 +0900

In article <[email-masked]>,
>> # ことまでするのなら、

	mg -j jis 文字列 files

で、ほぼこの通りのことができます。

EUC で検索したければ、

	mg -j euc -z 'nkf -e' 文字列 files

になります。出力コードを euc 以外にしたければ、コマンド全体
をパイプに食わせるしかないな。

>> # もののついででさらに検索パターンを

どういう単位でエンコードされているかわからないので、難しいん
じゃないですかね。JIS のエスケープシークエンスだけでも大変な
のに。

ヘッダ部分をデコードするコマンドがあれば、その結果を検索する
ように指定することはできます。たとえば decodehdr というコマ
ンドがあったとすると、次のようになります。

	mg -j jis -z decodehdr 文字列 files

さらに EUC で検索したいとすれば、

	mg -j euc -z 'decodehdr | nkf -e' 文字列 files

で、もののついでに、テキストの方を MIME デコードする機能を入
れてみたんですが、こんなもの役に立つでしょうか。実装は5分で
できたものの、今一つ納得できないので、何か意見がありましたら
お聞かせください。評判がよくなかったらボツにします。mg-2.12 
に対するパッチです。mg-2.12 は srawgw.sra.co.jp の 
pub/lang/perl-scripts にあるし、JUS や NSUG の CD-ROM なんか
にも入っています。1ヶ月ほど前に誰かが comp.lang.perl にポス
トしてました。使ってみたくて、どうしても手に入らない人がいた
らメール下さい。リクエストが多ければポストします。

とりあえず -x というオプションでデコードするようになっていて、
たとえば次のように使います。822 対応になっているわけじゃない
ので、継続行は処理しません。

	mg -j jis -x -00 文字列 *

-00 をつけるとヘッダだけを検索します。つけなければ、全部のテ
キストに対してデコードを行います。

なお、勝手なんですが、fj.mail なんて普通は3ヶ月に1度くらいし
か読まないので、fj.lang.perl にもクロスしておいて頂けると助
かります。

--utashiro

--- 2.12	1993/06/17 09:16:06
+++ /home/mgr/utashiro/cmd/mg	1993/11/21 08:41:16
@@ -20,6 +20,11 @@
 ;#	% tset -IQS | mg -ec0 '(so|se)=[^:]+'		# matched part only
 ;#	% echo $path | mg -Q mh				# highlighting
 ;#
+;# Redistribution for non-commercial purpose, with or without modification,
+;# is granted as long as all copyright notices are retained.  THIS SOFTWARE
+;# IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+;# WARRANTIES ARE DISCLAIMED.
+;#
 require('getopts.pl');
 #require('usage.pl');
 @opts =('i::ignore case',
@@ -71,6 +76,7 @@
 	'-:IHYSUt:',
 	't::-T takes only ascii files',
 	'I::ignore error', 'H::manual', 'U::show unused opts',
+	'x::RFC1342 decode'
 );
 $opts = &Mkopts(@opts);
 if ($ENV{'MGOPTS'}) {
@@ -201,7 +207,7 @@
 for ($_ = ''; @_ = splice(@filter, 0, 2); ) {
     unshift(@_, '1') if @_ == 1;
     $_[0] =~ /^\s*unlink\s*$/ && die "It's too dangerous!! \"$_[0]\"\n";
-    $_ .= "\t\push(@fil, '$_[1]'), next if $_[0];\n";
+    $_ .= "\t\push(\@fil, '$_[1]'), next if $_[0];\n";
 }
 &eval('sub filter {
     local($file, @fil, $prev) = @_;
@@ -337,6 +343,7 @@
     $more = 1;
     while ($more) {
 	$size -= $s = &append_data(STDIN, *_, $readsize);
+	&decode1342 if $opt_x;
 	if (!$loop++) {
 	    printf(STDERR "\r%d/%d", $hash, $total_files)
 		if $db_c && ++$hash > $hash_t;
@@ -551,6 +558,17 @@
     $rs = $rs eq '' ? "\n\n" : substr($rs, 0, 1);
     substr($_, $p + length($rs)) = '' if ($p = index($_, $rs)) >= $[;
     $p >= $[;
+}
+sub decode1342 {
+    unless (defined(%bin64)) {
+	@code64 = ('A'..'Z', 'a'..'z', '0'..'9', '+', '/');
+	grep($bin64{$code64[$_]} = unpack('B6', pack('C', $_ * 4)), 0 .. 63);
+    }
+    s/=\?ISO-2022-JP\?B\?([\w\+\/]+)=*\?=/&decode64($1)/ige;
+}
+sub decode64 {			# decode BASE64 encoded string
+    local($bits) = join('', grep($_ = $bin64{$_}, $_[$[] =~ /./g));
+    pack('B' . (length($bits) & ~7), $bits);
 }
 sub chash { $hash > $hash_t && print(STDERR "\n"), $hash = 0 if $hash; }
 sub max { $_[ ($_[$[] < $_[$[+1]) + $[ ]; }

---

From: [email-masked] (Yutaka Sato 佐藤豊)
Date: Sun, 21 Nov 1993 21:50:06 GMT

On 11/21/93(06:45) I wrote in <[email-masked]>
 |＃なお、Aixは quoted-string 中の ESC を通すようですが、勝手に英文字
 |＃のcaseを変えたり、Subjectが透過的でなかったりします。

Aixに関するこの付け足し「勝手にcaseを変えたり、Subjectが透過的で
なかったり」の部分は間違いでしたので、取り消します _O_

今回は以下Aのようなshスクリプトでテストを行ったのですが、Aixでこれ
を実行するとSMTPに渡る前に <\> が解釈されるため、勘違いしました。
別のマシン(SunOS)で動作させた結果、BのようにAixに受けとられました。
Subjectは、ちゃんと透過しています。

#### A : テスト用スクリプト #####################################
#!/bin/sh

HOST=$1

putheader(){
    echo 'Cc: "\^[\$\@\B\@\L\n\>\;\<\#\^[\(\J" <mohno>'
    echo 'To: "\"\\" <quote>, "太野昌治" <mohno>'
    echo 'Subject: test To: "\"\\" <quote>, "太野昌治" <mohno>'
}

(   echo MAIL From: $USER@`hostname`
    echo RCPT To: $USER
    echo DATA
    putheader
    echo ''
    putheader
    echo '.'
    echo QUIT
) | telnet $HOST smtp | cat

#### B : Aixに届いたspool/mail の内容 ############################
Cc: "\^[\$\@\B\@\L\n\>\;\<mohno(\J" <mohno>
To: "\"\\" <quote>, "^[$@B@Ln>;<mohno(J" <mohno>(%s)
Subject: test To: "\"\\" <quote>, "太野昌治" <mohno>

Cc: "\^[\$\@\B\@\L\n\>\;\<\#\^[\(\J" <mohno>
To: "\"\\" <quote>, "太野昌治" <mohno>
Subject: test To: "\"\\" <quote>, "太野昌治" <mohno>
##################################################################
（注意:ヘッダ(Cc,To)中の ^[ は実際にはエスケープ文字です)

　　　　　　　　　　　　　　　　 @ @

---

From: [email-masked] (Wataru KawaKami)
Date: Tue, 23 Nov 1993 00:59:27 GMT

[email-masked] (川上@NTT)です。

 "fj.mail"の
 "Re: What do you like to say??? (Re: quoted-{string,pair}....)"について
    (記事<[email-masked]>)、[email-masked]、
 >> 老婆心だったようですね。
なるへそ。そういうことだったわけですね。それなら、心配されている
内容を含めてそのようにはっきり書いてくださったほうがわかりやすい
です。(議論がかみあわなくなってしまいます。)

  先の文字列の例では、確かにそのまま通りますが、jis7には、<">を
含む文字(ex: あ)がありますし、それから、"(",")"の間にjis7を書く
場合は、ESC-(-Bなどの')'がありますから、quoted-pairが実装されて
いるMTAであれば、
 >>  |  To: "\^[\$\B\B\@\E\D\>\;\9\'\^[\(\B" <[email-masked]>
みたく、jis7符号をすべて'\'でquoteすればとりあえず通るといいた
かったのです。

# "From:"に通すことは、私にとって興味が薄かったし、ysatoさんの
# 質問の意図もよくわからなかったし。
						wataru

# 取敢ず、jis7を"Subject:"に通してもよくなって欲しい。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Hiroaki Sengoku)
Date: Wed, 24 Nov 1993 06:20:07 GMT

仙石＠日立と申します。ほとんどちゃちゃです。(_O_)

wataru> 私の見方からすれば、net上では、守岡さんは、[email-masked]
wataru> さんです。当然、私も、net上では、[email-masked]。

  net 上では別人格になるとか ? :-)

wataru>   "From:"は、個人の名前をいれるためのフィールドではなくて、機械
wataru> が配送のための情報を得るためのフィールドなんですから。。。

  配送には From: は使われませんが... To: だって使われない。根本的に誤解
されてません ?

  どこから来たか知りたい場合は、普通 Return-Path: なのでは ? 「From: は 
signature を入れる場所である」、というのは言い過ぎなのでしょうか ?

# 一応、sendmail が書き換える対象ですけど。

wataru> readerの問題かも知れませんが、例えば私が使っているelmでは、
wataru>      1   Nov 19 Wataru KawaKami    (48)   test
wataru>      2   Nov 19 [email-masked]    (5)    test2
wataru> とかいうように表示されます。(addressの他にcommentがある場合、
wataru> 幸か不孝か、commentが表示される仕様になっている)

  From をどう表示するか変更出来ないとは、ずいぶん不便な reader ですね。

wataru>   そのため、最近は、これを取り除くfilterをつくるか、addressを
wataru> 表示するように変更しようかと思っている位です。

  面倒であれば、mh に乗り換えるという手もありますね。
--
				仙石浩明＠システム開発研究所．日立製作所
					[email-masked] (105u)

---

From: [email-masked] (SASABE Tetsuro)
Date: Wed, 24 Nov 1993 08:23:16 GMT

In article <[email-masked]>
    [email-masked] (Hiroaki Sengoku) writes:

 |  配送には From: は使われませんが... To: だって使われない。根本的に誤解
 |されてません ?

  ええ！？
  To: フィールドを使う場合だってあると思っていたのですが…。 To: フィー
ルドが使われないものだとすると、sendmail の "-t" flag は何を意味するの
でしょうか？

 |  どこから来たか知りたい場合は、普通 Return-Path: なのでは ?
 |# 一応、sendmail が書き換える対象ですけど。

  ええ！？
  Return-Path: って受け取る側の MTA (たとえば sendmail)が生成するもの
すよね？ しかも「どこから来たか」ではなくて「どこへ返事を返すか」を書
く場所ではありませんでしたか？

 |                                                             「From: は 
 |signature を入れる場所である」、というのは言い過ぎなのでしょうか ?

  "In all cases, addresses in the "From" field must be machine-usable
(addr-specs)" (RFC822) をどう読むとシグネチャーを入れる場所になるので
しょうか？

 |  From をどう表示するか変更出来ないとは、ずいぶん不便な reader ですね。
 |  面倒であれば、mh に乗り換えるという手もありますね。

  MH のインストールって、ものすごく面倒だと思うのですが…。

--
笹部 哲郎（ささべ てつろう）                       [email-masked]
root に求められるもの:  高いモラルと低い労働単価

---

From: [email-masked] (Hiroaki Sengoku)
Date: Wed, 24 Nov 1993 09:50:14 GMT

仙石＠日立です。ちゃちゃの話を続ける気はあまりないのですが、... :-)

tss>   ええ！？
tss>   To: フィールドを使う場合だってあると思っていたのですが…。 To: フィー
tss> ルドが使われないものだとすると、sendmail の "-t" flag は何を意味するの
tss> でしょうか？

  -t が関係するのは、mail を出す時 (/usr/ucb/mail とかが呼び出す時) だけ
ですよね ? 中継する/受けとる sendmail には関係ない。

tss>   ええ！？
tss>   Return-Path: って受け取る側の MTA (たとえば sendmail)が生成するもの
tss> すよね？ しかも「どこから来たか」ではなくて「どこへ返事を返すか」を書
tss> く場所ではありませんでしたか？

  From: とちがって address 以外のものが書いていない、と言う意味で書いた
のですが、...

 |「From: は signature を入れる場所である」、というのは言い過ぎなのでしょ
 |うか ?

tss>   "In all cases, addresses in the "From" field must be machine-usable
tss> (addr-specs)" (RFC822) をどう読むとシグネチャーを入れる場所になるので
tss> しょうか？

  signature といっても、article の末尾についている長ったらしいものではな
くて、本名 (とは限らない :-) が書いてある、という意味です。本名って
「machine-usable」じゃないですよね。それとも、From: に本名を書いてはいけ
ない、と主張されたいのでしょうか ?

  ついでに言うと、引用された rfc は、「addresses in the "From" field」は 
machine-usable でなければならない、と書いてあるだけであって、From: に 
address 以外に何も書いてはいけない、とは書いてないように思うのですが ?

tss>   MH のインストールって、ものすごく面倒だと思うのですが…。

  他の soft と比べて「ものすごく」というほど大変ですか ? install するの
が「ものすごく面倒」な machine もあるかもしれませんが、そういう machine 
の場合は、その他の soft を install するのも「ものすごく」面倒であるよう
な気が、...

# そういう machine は、あまり相手にしたくない。:-p
--
				仙石浩明＠システム開発研究所．日立製作所
					[email-masked] (105u)

---

From: [email-masked] (Wataru KawaKami)
Date: Wed, 24 Nov 1993 10:30:08 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: なぜ、日本語をFrom:にいれたいのか？

[email-masked]。

  ちゃちゃと思われる記事から頑張って、議論に関係のあるように
肯定的に解釈を試みてみました。(followupは、non-茶茶で願います。)

  "fj.mail"の
  "Re: Why I'd like to use japanese in From:? (Re:Why ....)"について
    (記事<[email-masked]>)、
    [email-masked]、
  >>   配送には From: は使われませんが... To: だって使われない。根本的に誤解
news-systemではなくて、mail-systemでの話ですよね？

現実問題、
	/usr/lib/sendmail -t < file
とかやったときには、file中のheader部分の"From:","To:"はsend-
mailによって解釈され、smtpが実際に配送に使うMAIL FROMやRCPT TOを
sendmailが抽出しているわけですよね？

  ですから、わざわざ、
	"配送のために使うフィールド"
ではなく、
	"配送のための情報を得るためのフィールド"
と書いたのですが。

  >> signature を入れる場所である」、というのは言い過ぎなのでしょうか ?
それはちょっと考えにくいです。現実問題として、大抵は、
"From:"は発信元のアドレスを特定するのに使われますし、
rfc822でも、

     C.3.2.  FROM

        The "From" field must contain machine-usable addresses  (addr-
                         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        spec).   Multiple  addresses may be specified, but named-lists
        (groups) may not.

とあります。また、news-systemに関係深い、rfc1036では、

2.1.1.  From

    The "From" line contains the electronic mailing address of the
                             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    person who sent the message, in the Internet syntax.  It may
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    optionally also contain the full name of the person, in parentheses,
    after the electronic address.  The electronic address is the same as
    .......

となっています。full name of the personは、あくまで、optionalです。

  それから、もし、それが主たる目的のために作られたフィールドで
あれば、わざわざ、structured-fieldなぞにしないでしょう。
(すでにその目的のための別のunstructured-フィールドがあるような
気もします。あと、"Full-Name:"とかいうフィールドを聞いたことも
ありますし。)
					wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Wataru KawaKami)
Date: Wed, 24 Nov 1993 09:30:31 GMT

### Japanese subject will be read as below: ###
X-Nsubject: なにがいいたいのかな？ (was Re: なぜ.....)

[email-masked]。

  "fj.mail"の
  >> 仙石＠日立と申します。ほとんどちゃちゃです。(_O_)
すいませんが、単なるちゃちゃは、他のところでやってもらえません
でしょうか。
						wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (SASABE Tetsuro)
Date: Wed, 24 Nov 1993 17:04:18 GMT

In article <[email-masked]>
    [email-masked] (Hiroaki Sengoku) writes:

 |  -t が関係するのは、mail を出す時 (/usr/ucb/mail とかが呼び出す時) だけ
 |ですよね ? 中継する/受けとる sendmail には関係ない。

  mail の発信元では「配送」と言わないとでもおっしゃるのですか？

 |  From: とちがって address 以外のものが書いていない、と言う意味で書いた
 |のですが、...

  そのアドレスが何を指しているのかが問題になる文脈でしたよね？

と、「どこから来たか」を指していると書いていらっしゃるわけですから。

In article <[email-masked]>
    [email-masked] (Hiroaki Sengoku) writes:

 |  ついでに言うと、引用された rfc は、「addresses in the "From" field」は 
 |machine-usable でなければならない、と書いてあるだけであって、From: に 
 |address 以外に何も書いてはいけない、とは書いてないように思うのですが ?

  もちろん「〜を書いてはいけない」という議論をするつもりはありません。
でも、何を根拠にシグネチャーを書くところだとおっしゃるのかは今もって不
明です。

 |tss>   MH のインストールって、ものすごく面倒だと思うのですが…。
 |  他の soft と比べて「ものすごく」というほど大変ですか ? install するの
 |が「ものすごく面倒」な machine もあるかもしれませんが、そういう machine 
 |の場合は、その他の soft を install するのも「ものすごく」面倒であるよう
 |な気が、...

  どこまでをインストールと言うかにもよるのでしょう。make は比較的簡単
ですが、まっとうに動くようにするのは非常に難しいと感じています。漢字コー
ドの変換なんか…。

 |# そういう machine は、あまり相手にしたくない。:-p

  何も考えずに make するだけならすぐでしょうから。

---

From: [email-masked] (Takanori `Racsho' Nishijima / 西島孝徳)
Date: 25 Nov 1993 01:13:08 GMT

にしじま＠キヤノンです。

  > で、ほぼこの通りのことができます。
(以下省略)

いまためしてみたところです。
jperl (4.019 + 1.3j) ではうまく動かなかったので、オリジナル
の perl (4.036) で動かしてみたら予想どおりの動作をしました。
どうもありがとうございます。

# もっとも mg の本来の売りはここではないのでしょうね、たぶん。

--
“え? そういう野心は持ってませんよ。(意味不明)”
西島 孝徳 (NISHIJIMA, Takanori)   キヤノン株式会社 周辺機器開発センター
E-mail: [email-masked]

---

From: [email-masked] (INOUE Yoshinari)
Date: Thu, 25 Nov 1993 06:36:54 GMT

京都大学の井上と申します。
元の話題とは全く関係ありません。

In article <[email-masked]>,
>ですが、まっとうに動くようにするのは非常に難しいと感じています。漢字コー

Fcc の漢字コード変換なんかもやろうと思うとソースをいじらないといけない
ですよね？ 
漢字コードの変換に関しては install が難しいと言うよりはサポートしてい
ないと言うのが実情ではないでしょうか。
---
井上義也

---

From: [email-masked] (Masataka Ohta)
Date: 25 Nov 93 08:48:27 GMT

In article <[email-masked]>

> |です。つまり「恥を知れ」ということですよ。こんどはわかりました？それとも

　そうですか、「難しい」ですか。普通の神経の人には簡単なことなんですけど
ねえ、、、私は、議論を行なう上での最低限の礼儀作法を要求してるだけなんで。

>ここでは（一応）技術的な話をしているので、

　いえいえ、あなたがたがやってたのは技術風のｄｅｂａｔｅであって、技術的
な話じゃないです。

>「でたらめ」な議論をやめ
>させたければ、

　嘘と誤解のキャッチボールを「議論」とは呼ばない。

>具体的な技術的方法と実例を示すだけで良いと思います。

　あなたの不誠実な態度が白日のもとにさらけだされたせいで、これまで「議論」
のやりかたを知らなかった人たちがちゃんとＲＦＣにあたる傾向がでてきたのは、
まだまだ読みが不充分とはいえ良いことですねえ。

　このままいくと、「技術的な話」も可能な水準に到達できるかもしれませんね。
ｄｅｂａｔｅ屋のあなたには縁のない話ですが。

					太田　昌孝
					[email-masked]

---

From: [email-masked] (Akira Takuma)
Date: Thu, 25 Nov 1993 03:09:51 GMT

fj.mailの<[email-masked]>
の記事においてJST時間1993年11月19日(金)21時42分27秒頃、
[email-masked]。

  | 世界中の MTA を変えるより、世界中の「何とか語＝非英語」を読みたい人の
  | UA を変える方がずっと現実的ですよね。

そうとも限らないと思いますけどねぇ。

  | fj や unix だけの話でもありません。nifty、ttn、Mac のネットワーク、、、。

これはそうでしょう。でも最初から 8bit や ESC が通るところでも MIME
のためにわざわざ変更しないといけないこともあるでしょうし、
処理が遅くなって連続した文字間の空白情報が失われる可能性が
増えるオマケつきですから嬉しくない面も多いのですが。
-- 
-------------------------------------------------------------------------
(株) 松下ソフトリサーチ	第一開発部 第一開発室 宅間
				E-mail:[email-masked]
-------------------------------------------------------------------------

---

From: [email-masked] (Wataru KAWAKAMI)
Date: Thu, 25 Nov 1993 12:51:07 GMT

### Japanese subject will be read as below: ###
X-Nsubject: "From:"についてのまとめ (was Re: なぜ、日本語をFrom:に...)

[email-masked]。

  せっかくなので、[email-masked]
よみ直してみました。さらに、"From:"についてまとめてみました。

        ★      ★      ★      ★      ★      ★      ★     

[email-masked]
  "fj.mail"の
  >>   配送には From: は使われませんが... To: だって使われない。根本的に誤解
という疑問がでてきたのは、
  wataru>   "From:"は、個人の名前をいれるためのフィールドではなくて、機械
  wataru> が配送のための情報を得るためのフィールドなんですから。。。
の*配送*という言葉に*ひっかかった*からかと思われます。

これは、
  "fj.mail"の
  "Re: Why I'd like to use japanese in From:? (Re:Why ....)"について
    (記事<[email-masked]>)、[email-masked]、
  >> mailによって解釈され、smtpが実際に配送に使うMAIL FROMやRCPT TOを
を念頭においてこのような書き方をしました。
# [email-masked]、これを念頭においていたのですよね？

気になったので、rfc1123をみてみたところ、

5.3.7  Mail Gatewaying

  (D)  The gateway MUST ensure that all header fields of a
       message that it forwards into the Internet meet the
       requirements for Internet mail.  In particular, all
       addresses in "From:", "To:", "Cc:", etc., fields must be
                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[1]
       transformed (if necessary) to satisfy RFC-822 syntax, and
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[1]
       they must be effective and useful for sending replies.
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[2]

となっていました。つまり、
	1) gateway(配送経路中のsendmail etc.)は、"From:"などを
	  チェックすること
	2) replyを送るときに有用かつ効率的になっていること
ということになると思います。(やはり、"From:" = signatureという
のはいいすぎですね。。。。。。)

        ★      ★      ★      ★      ★      ★      ★     

まとめますと、

1. "From:"は、実際のメールの配送には*直接は*関係しない。
   実際の配送は、MAIL FROM:, RCPT TO:などの、smtpコマンドが行なう。

2. "From:"は、rfc822のstructured-fieldであり、書式が決まっている。
   (rfc822)

3. "From:"には、machine-usable (addr-specs)をいれる必要がある。
   (rfc822)

4. gateway(=sendmail etc.?)は、headerの各フィールドがrfc822を
   満たすようにする必要がある。(rfc1123)
 => "From:"は、sendmailの*解釈*(チェック)の対象となる。

5. "From:"などは、replyを送るときに有用かつ効率的になっている
   必要がある。(rfc1123)
 <= "sendmail -t"は、このケースにあたる？

6. quoted-{pair,string}を使うことによって、(MIME+base64を用いる
   までもなく、) "From:"にも0-127(dec)のcharを通す(等価的に
   jis7を通す)ことが*規格上*は、可能である。(rfc822)
 => 実際のsendmailでは、quoted-*の解釈をさぼっているものもまだ
    結構ある。

ということになるかと思います。
					wataru@ntttsd

# wataru@ntttsdは、"From:"にjis7を通す必要性を感じていない。
# "Subject:"には、jis7を通してもいい環境になって欲しい。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Wataru KawaKami)
Date: Thu, 25 Nov 1993 15:28:01 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: なぜ、"From:"に日本語か (Re: Why ....)

[email-masked]。

  せっかくなので、私も、芸風をちょっとかえて、言葉にひっか
かってみます。:-)

 "fj.mail"の
 "Re: Why I'd like to use japanese in From:? (Re:Why ....)"について
    (記事<[email-masked]>)、
    [email-masked]、
 >> ですよね ? 中継する/受けとる sendmail には関係ない。
*まったく*関係ないわけではないですね。

  中継する/受けとるsendmailでは、 "From:"などのstructured-
fieldがrfc822を満たしているかどうかのチェックの対象にはなる
ようですね。(rfc1123)
# sendmailの実装がいい加減だと、規格通りには通らないこともある。

 >>   From: とちがって address 以外のものが書いていない、と言う意味で書いた
なら、そう書いて下さい。:-)
# どうやっても、そうはよめませんよ。:-)

 >> 本名って
optionalだといっているのですが。

 >> address 以外に何も書いてはいけない、とは書いてないように思うのですが ?
replyをsendingするのにeffectiveかつusefulである(rfc1123)と
いう条件はつくかとは思います。

  "From:"本来の目的からすると、address以外の他のものが占める
割合が増えてくれば、effectiveかつusefulであるとはいえないと
思います。(本末転倒)

 >>  |  面倒であれば、mh に乗り換えるという手もありますね。
mhをすすめる前に、どうせなら、elm用のパッチを書いて、原作者に
contributeして下さい。:-) 

  elmは、海のむこうでは結構使われているreaderです。(comp.mail.
elmなんていうnewsgroupがあるくらいですから。)

					wataru

# elmのjis7パッチをsydさんに送ってみようかな。:-)
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (NUMATA Toshinori)
Date: 26 Nov 1993 10:41:33 +0900

> => "From:"は、sendmailの*解釈*(チェック)の対象となる。

　厳密に言えば，ここで言われている gateway は Internet とは別のアドレス
形式を使用するネットワークからのゲートウェイであって，一般的な，Internet
内のあるドメインから別のドメインへのゲートウェイではありませんね．

> <= "sendmail -t"は、このケースにあたる？

　sendmail -t を reply する手段として使用することはあり得るが，すべての
sendmail -t の使用がこのケースにあたるわけではないでしょう．
-- 
			富士通(株) オープンシステム事業本部・アーキテクチャ部
			沼田 利典 ([email-masked])

---

From: [email-masked] (Motonori NAKAMURA)
Date: Fri, 26 Nov 1993 03:47:27 GMT

>>5. "From:"などは、replyを送るときに有用かつ効率的になっている

異なったメールアドレス空間を用いてるネットワークを相互に接続する
場合には、UA が From: などのヘッダを見て reply できるように、
ゲートウェイがメールのヘッダのアドレスに @relay: などを補って
書き換えてあげなければならない、ということを言っているのだと思います。

Return-Path: に現れるアドレス(SMTP の MAIL From: で受け渡されて、
final delivery の際に記録される。*書き換えられる*わけではない)は、
MTA による配送時の返送アドレスとして利用されますが(例えば、エラー
メールの返送)、UA が参照すべきアドレスは From: や Reply-To: でしょう。

まぁ、昔は(今も?)メールゲートウェイを通ってきたメールに返事をしようと
思った時に、Return-Path: を見なければ reply ができなかったということも
あったようですが…

＃ BITNET などの例外的配送ルールは、いつになったらいらなくなるのでしょうね。

                                  中村 素典 ＠京都大学 工学部 情報工学教室
                                               [email-masked]

---

From: [email-masked] (Wataru KawaKami)
Date: Fri, 26 Nov 1993 02:13:38 GMT

### Japanese subject will be read as below: ###
X-Nsubject: "Full-Name:"ヘッダー (Re: なぜ、日本語をFrom:に....)

  [email-masked]。

  "fj.mail"の
  >> 気もします。あと、"Full-Name:"とかいうフィールドを聞いたことも
ということで、sendmail8.6.4のoperation guideを眺めていたら、
ありました。

sendmail.cfの、
	Mprog P=..... F=.....
で、'x'というFlagを立てて、使うと、
	"Full-Name:"
とかいうヘッダーがつくとなっています。テストしてみたところ、

  From wataru  Fri Nov 26 11:03:14 1993
  Full-Name: Wataru KawaKami
  Subject: no subject (file transmission)
  To: wataru (Wataru KawaKami)
  Date: Fri, 26 Nov 1993 11:03:13 +0900 (GMT+9:00)
  From: Wataru KawaKami <wataru>
  X-Mailer: ELM [version 2.4(+w3.10) PL20]
  Content-Type: text
  Content-Length: 5         

と、ちゃんと、"Full-Name:"ヘッダーにReal nameが入りました。
こういうフィールドがあるところをみると、Real nameは、こっちを
使うのがスジなんでしょうね。。。。。。
					wataru

# この機能って、sendmailのいくつからなんだろう。。。
# CHANGES-R5-R8にはでてなかったけど。。。
# いずれにせよ、いい勉強になります。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Motonori NAKAMURA)
Date: Fri, 26 Nov 1993 11:11:48 GMT

> こういうフィールドがあるところをみると、Real nameは、こっちを

sendmail の実装では、Full-Name: ヘッダはメールの転送受信時に削除
されるようになっているので、(残念ながら?)このヘッダが有効なのは、
同一ホスト内のローカルなメールだけです。

> # この機能って、sendmailのいくつからなんだろう。。。

これは sendmail.cf にある

	H?x?Full-Name: $x

という記述がミソなんですね(随分古くからあるみたいですが)。
この記述があればメーラフラグに x が入っていると、
Full-Name: ヘッダをつけてくれます。例えば、

	H?y?X-Queue-ID: $i

なんて書いて、メーラフラグに y を追加すれば、

	X-Queue-ID: TAA05795

なんてヘッダが入ります :-)

                                  中村 素典 ＠京都大学 工学部 情報工学教室

---

From: [email-masked] (Hiroaki Sengoku)
Date: Mon, 29 Nov 1993 05:39:52 GMT

仙石＠日立です。まとめをして下さり、ありがとうございます。

# 私のマシンへの nntplink がコケていたので、フォローが遅くなりました (_O_)
# feed 元に読みにいくのが面倒だったので... :-p

wataru> 1. "From:"は、実際のメールの配送には*直接は*関係しない。

  この点を忘れていらっしゃるのではないかと感じたので、
<[email-masked]> を書いたわけです。

wataru> # wataru@ntttsdは、"From:"にjis7を通す必要性を感じていない。

  私はどっちでも良いのですが、MIME で encoding した header を拒む理由も
ないのでは ?

wataru> # "Subject:"には、jis7を通してもいい環境になって欲しい。

  これは fj に限定するならば、賛成です。

---

From: [email-masked] (Wataru KawaKami)
Date: Mon, 29 Nov 1993 01:19:22 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: "Full-Name:"ヘッダー (Re: なぜに.....)

NTTの川上です。follow-upありがとうございます。

 "fj.mail"の
   "Re: "Full-Name:" header line (Re: Why I'd like to .....)"について
    (記事<[email-masked]>)、
    [email-masked]、
 >> されるようになっているので、(残念ながら?)このヘッダが有効なのは、
テストしてみたところ、どうもそうみたいです。また、"Full-Name:"を
つけて"sendmail -t"に食わせても、"Full-Name:"は、削られてしまう
みたいですね。
# なにゆえにこういう実装になっているんでしょう。また、そういった
# 規格がどこかにあるのでしょうか。。。。謎。

# どういった機構で削除されるは、いま、ソースを眺めている
# ところです。
# sourceのどこそこあたりが、関係しているよとかありました、
# よろしくお願いします。

 >> という記述がミソなんですね(随分古くからあるみたいですが)。
なるへそ。ということは、結構古いバージョンのsendmailから
この機能はあるんですね。。。。。
# sendmail8.6.4では、一見、ソースレベルでサポートしてるように
# 見えます。。
					wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Motonori NAKAMURA)
Date: Mon, 29 Nov 1993 07:45:33 GMT

中村＠京大です。

In article <[email-masked]>,
> # sourceのどこそこあたりが、関係しているよとかありました、

conf.c の最初のところで HdrInfo が定義されていますが、
その中で、H_ACHECK がついているものに関しては、
そのヘッダが最初からついていると削除されるようです。
実際に捨てているのは putheader() ですが、sendmail.cf で
定義したヘッダには H_ACHECK が立たないので、こちらは残る
という仕掛けでしょうか。

> # sendmail8.6.4では、一見、ソースレベルでサポートしてるように

でも、sendmail.h のメーラフラグの define のところは、
コメントになってますね?

                                  中村 素典 ＠京都大学 工学部 情報工学教室

---

From: [email-masked] (Masataka Ohta)
Date: 30 Nov 93 11:37:00 GMT

In article <[email-masked]>

>elmなんていうnewsgroupがあるくらいですから。)

　私も使ってますけど、、、最初はよかったけど、その後改良と称してどんどん
使い勝手が悪くなっていってるのが困りもの。

># elmのjis7パッチをsydさんに送ってみようかな。:-)

　３年前ならそれで十分だったでしょうけど、、、

　今なら、日本語化だけ考えるんじゃなくてＩＳＯ　２０２２完全対応くらいじ
ゃないと、やっぱ恥ずかしいんじゃないすか。

　もちろん、表示を（多バイト）文字列の途中で切っても、ｄｅｓｉｇｎａｔｉ
ｏｎ等のｓｔａｔｅをちゃんと戻してくれないといけないし、文字の表示幅も考
えないといけないし、、、いろいろ面倒ですけど。

> ** header に一日も早く JIScode の ESC が通りますように。**

　昔から通るんですってば。

					太田　昌孝
					[email-masked]

---

From: [email-masked] (Wataru KawaKami)
Date: Tue, 30 Nov 1993 00:55:20 GMT

NTTの川上です。

 "fj.mail"の"Re: "Full-Name:" header line (Re: Why I'd like to .....)"について
    (記事<[email-masked]>)、
    [email-masked]、
 >> そのヘッダが最初からついていると削除されるようです。
ドキュメントではそうなっていますね。

 >> 定義したヘッダには H_ACHECK が立たないので、こちらは残る
ドキュメントを読む限りでは、そのように読めます。8.6.4では、
	H?x?Full-Name: $x
と定義しておいて、mailerで、
	Mprog  P=....., F=.....x, ......
	Mlocal P=....., F=.....x, ......
	Mether P=....., F=.....x, ......
とかして、flag 'x'を定義しておいても、おいても、もとのファ
イルに
	Full-Name: foo bar foo
とかいれて、"sendmail -t < file"とかを実行してやると、しっ
かりと、"Full-Name:"行が削除されてしまいます。
  また、sendmail.cfの$xにも、/etc/passwdの情報が入ってしまい
ます。(ドキュメントでは、"Full-Name:"があれば、そちらが反映
されることになっているように読める。。。)
  5.xでは、
	From: [email-masked] ( foo bar foo )
とか、"Full-Name:"行が$xに反映されているようです。ただし、
flag 'x'をたてても、8.6.4同様、"Full-Name:"行が削除されて
しまいます。

# "Full-Name:"に関するとりきめがどっかにあるんでしょうか。。。

  >> でも、sendmail.h のメーラフラグの define のところは、
sendmail.hは、確かにそうなっています。ただ、8.6.4のheaders.cと
かみてみると、
        /* full name of from person */
        p = hvalue("full-name", e);
        if (p != NULL)
                define('x', p, e);
とかあるので、source-levelでサポートしてるのかなと思った
わけです。
					wataru
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Wataru KawaKami)
Date: Tue, 30 Nov 1993 01:29:42 GMT

### Japanese subject will be read as below: ###
X-Nsubject: Re: "From:"についてのまとめ (was Re: なぜに......)

 [email-masked]。refereneceをさくっと、削りました。

 "fj.mail"の
 "Re: summary about "From:" ( was Re: Why I'd like to use......)"について
    (記事<[email-masked]>)、
    [email-masked]、
 >> <[email-masked]> を書いたわけです。
ありがとうございます。その点は今は大丈夫です。

  実は、私もこの議論に足を突っ込んだころには、最初は勘違いを
していました。かなり前に、数名の方から前にフォローをもらい、
勘違いに気づくことができました。 > those who pointed my misunderstood

  すでに、私のところでは、expireされているのですが、訂正の旨の
記事を出していました。

 >>   私はどっちでも良いのですが、MIME で encoding した header を拒む理由も
readerの問題かも知れませんが、本来私にとって、有用な情報が得ら
れる(address)べきところ("From:")に私にとっては、あまり有用で
ない情報(ex: MIME+base64による漢字氏名)が入る、場合によっては、
それによって、foldingの問題が出てきて、いまのシステムが使えなく
なるという(益を被らない私が、何ゆえに負担を強いられるかという)
点が私にとっては迷惑であるという点で、今のところは、拒んでいます。
(少なくとも、別ヘッダーであれば、今のシステムを大幅に変更する
必要はないですから。。。)
# 真面目な話し、sendmail.cfを書き換えて、"From:"からcommentを落す
# ことも最近は、考えています。

  誰か、MIME推進派の人が、elm用のパッチをつくって、fj.sourcesに
出してくれるなど、特定のメーラーを進めるのではなく、代表的なmail-
readerのパッチを出すような活動を行なえば、少しは私も考えを変える
かも知れません。

  また、どうせ、いまのシステムを入れ換えるのなら、foldingをどう
こうするより、quoted-{pair,string}を使って、jis7を通すように
考えた方が筋が良いのではないかと思っています。

  MIMEについては、どうせ、MIMEを導入するんなら、"From:"のコメ
ントにxfacesを入れても大丈夫な位の環境が出来上がってこないと、
面白くないような気がしています。先輩格のNeXTのNewsgrazerとかに
学ぶこと(ex: 画像を送り出すとあっという間に、記事あたりのファ
イルサイズが大きくなる)がまだまだあるような気がします。

 >> wataru> # "Subject:"には、jis7を通してもいい環境になって欲しい。
良かったです。

  ちなみに、hangle, chineseは、x11r5を見ている限り、jis7と
同じESC-x-yをいれて、shift-in/outというような方法でいける
みたいですね。(詳しい方のフォローをお願いします。)

					wataru

---

From: [email-masked] (Wataru KawaKami)
Date: 1 Dec 93 01:25:19 GMT

### Japanese subject will be read as below: ###
X-Nsubject: elmについて (was Re: なぜに"From:"に ....)

[email-masked]。

  "fj.mail"の
  "Re: Why I'd like to use japanese in From:? (Re:Why ....)"について
    (記事<[email-masked]>)、
    [email-masked]、
  >> 　私も使ってますけど、、、最初はよかったけど、その後改良と称してどんどん
mohtaさん、elmを使っていたんですね。

elm2.3PL11くらいが安定していて私は好きでした。いま使って
いる、elm2.4PL20では、mimeを外して使っています。そとから
入ってくるmime'ed Subjectは、mime2xnでX-Nsubjectに。
# mohtaさんはもっと古いバージョンかな？

  >> ># elmのjis7パッチをsydさんに送ってみようかな。:-)
  .....
  >> 　今なら、日本語化だけ考えるんじゃなくてＩＳＯ　２０２２完全対応くらいじ
そっすね。そこらが、":-)"ですね。

  >> ｏｎ等のｓｔａｔｅをちゃんと戻してくれないといけないし、文字の表示幅も考
例えば、elmの題目一覧の実装では、printfのwidth制限("%40s"
とか)で、画面フォーマットを作っています。

  いま手元にあるjis7題目対応のelmでは、そこらをさぼるために、
jis7->eucを内部で行なって、表示幅/stateのところを逃げています。
表示の時に、euc->jis7しています。

  追加したline-edit機能でも同じことをやっています。

# 本当は、真面目にstateを解釈して、表示幅をコントロールするように
# しないといけないんですが、そうなると、文字幅を整えているところを
# 結構いじらないと済みそうにないもので。。。。

  >> > ** header に一日も早く JIScode の ESC が通りますように。**
似非822を除けばでしょ？:-)
					wataru

# Bnewsのfix, Bnews -> Cnews/INNがすすめば、似非822がなくなる
# から、*実際問題*として、通るようになりますね。
--
   川上　弥(かわかみ わたる) <[email-masked]>, NTT
 **** 漢字文は、日本人にとっての plain text だと思う。 ****
 ** header に一日も早く JIScode の ESC が通りますように。**

---

From: [email-masked] (Kurimoto Teruki)
Date: Tue, 30 Nov 1993 04:02:34 GMT

栗本ですが．．．反／排 MIME派になりつつあります．

>  私はどっちでも良いのですが、MIME で encoding した header を拒む理由も

 でも，MIMEエンコーダをインストールしなきゃ読めないゴミを送ってよこす
のは困るな．

以下ちょっと前に書いて，出すタイミングを逸した記事
−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−
 ほんと，Nifty,PC-VANに限らず，MIMEを勝手に送り付けるのは困ったもんだ．
 MIMEをインストールした人どうしで,MIMEエンコードメールをやり取りする分
には文句を言わないが，

「相手がMIMEエンコードされたメールが読めるかどうかも確認しないで送り付
  ける」

のはひどい．  特にFrom:ならともかく

「JISで書いても届くのに（届く範囲なのに？），わざわざ Subject: にMIME
 エンコードした物を書いて来るやつ」

 元々可視の日本語をわざわざ，MIMEで見えなくしてくるとは無意味だ．

 Nifty,PC-VANはWIDE(正確にはもう少し広い)とメール交換しているのだが
WIDE内で Subject: のESCを落とす様なゲートウェイが存在するのだろうか？

 確か昔は，NiftyかPC-VANは X-*: のフィールドに日本語を転写していたの
になぜやめてしまったのでしょう？
 WIDE内で X-*: のESCを落とす様なゲートウェイが存在するのだろうか？

 さらには，

「誰もがMIMEデコードできるわけでもないのに，newsのヘッダにMIME
  エンコードゴミ文字列を書き込んで来るやつ」

 MIME普及の為にわざとやってるのでしょうか？
 それとも日本語がでる事を自慢して自己満足したいだけ？
(デモンストレーションと自己満足の為にやってる様に思う)

 まぁnewsへの投稿は個人の勝手だけど，
------------------------------------------------------------------------
Newsgroups: fj.mail
From: [email-masked] (=!IS0-2O22-JP?B?GyRCPGkyLBsoQiAbJEJDTkknGyhC!=
 (MORIOKA Tomohiko))
Subject: =!IS0-2O22-JP?B?GyRCMj84ThsoQg==!= From:
 =!IS0-2O22-JP?B?GyRCJEskYkZ8S1w4bCRyO0gkJCQ/JCQkTiQrISkbKEI=!= (Re:
 =!IS0-2O22-JP?B?GyRCTX0yciRHJC0kSiQkN11JdxsoQg==!= )
In-Reply-To: [email-masked]'s message of Fri, 19 Nov 1993 01:33:16 GMT
Content-Type: text/plain; charset=IS0-2O22-JP
X-Nsubject: 何故 From: にも日本語を使いたいのか？ (Re: 理解できない芸風 )
Organization: Japan Advanced Institute of Science and Technology, Ishikawa,
	Japan
Mime-Version: 1.0
Distribution: fj
Date: Fri, 19 Nov 1993 09:19:43 GMT

(MIME変換されない様に手を加えてあります)

 こんな，意味不明の文字列の肥大ヘッダを見せられると，MIMEに反感は起こ
るが，共感する気は起こらんな．
 上のヘッダだと 25行の端末でGNUSだと本文は2,3行しか見えないのではないの
でしょうか？(References:が数行あったらヘッダしか見えないでしょう)

以上
--
NEC 技術情報システム開発  栗本　光樹（[email-masked]）